Page MenuHomePhabricator

Change upload related permissions on wikimania-wiki
Closed, ResolvedPublic

Description

Currently the Wikimania wiki (wikimania.wikimedia.org) allows local file uploads by any confirmed user.

Ideally all uploads of freely licensed material should go to Commons instead and local uploads be limited to non-free content (e.g. sponsor logos etc.). One of the most efficient ways of ensuring this is to remove the upload/reupload right from Confirmed_users and Autoconfirmed_users and only have it for Administrators.

Since the main responsibility for the wiki will shift from year to year it might additionally be convenient to set up an Uploader group which trusted users can be added to without necessarily making them administrators.

Event Timeline

Lokal_Profil updated the task description. (Show Details)Jun 12 2019, 1:05 PM

Change 516623 had a related patch set uploaded (by Lokal Profil; owner: Lokal Profil):
[operations/mediawiki-config@master] Restrict uploading on wikimaniawiki

https://gerrit.wikimedia.org/r/516623

Once implemented a blurb should be added to https://wikimania.wikimedia.org/wiki/MediaWiki:Uploadtext pointing regular users to Commons.

If it's possible to redirect the upload link to Commons but leave an entry point for Admins+Uploaders that would likely be even better.

(don't forget to schedule in a SWAT window once you solved the negative review)

Change 516623 merged by jenkins-bot:
[operations/mediawiki-config@master] Restrict uploading on wikimaniawiki

https://gerrit.wikimedia.org/r/516623

Change 519477 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add + in front of wikimaniawiki in GroupOverrides

https://gerrit.wikimedia.org/r/519477

Change 519477 merged by jenkins-bot:
[operations/mediawiki-config@master] Add + in front of wikimaniawiki in GroupOverrides

https://gerrit.wikimedia.org/r/519477

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:18:52Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:516623|Restrict uploading on wikimaniawiki]], [[:gerrit:519477|Add + in front of wikimaniawiki in GroupOverrides]] (T225505) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:20:26Z] <urbanecm@deploy1001> Synchronized dblists/commonsuploads.dblist: [[:gerrit:516623|Restrict uploading on wikimaniawiki]] (T225505) (duration: 00m 56s)

Urbanecm closed this task as Resolved.Jun 27 2019, 6:21 PM
Urbanecm assigned this task to Lokal_Profil.

(don't forget to schedule in a SWAT window once you solved the negative review)

Thanks for patching this and sorry for missing the review (thanks @MarcoAurelio for the suggested simplification)